Package org.eclipse.zest.core.widgets

# Class DefaultSubgraph.DefaultSubgraphFactory

java.lang.Object
org.eclipse.zest.core.widgets.DefaultSubgraph.DefaultSubgraphFactory

All Implemented Interfaces:
  `SubgraphFactory`

Enclosing class:
  `DefaultSubgraph`

public static class DefaultSubgraph.DefaultSubgraphFactory extends Object implements SubgraphFactory
Default factory for `DefaultSubgraph`. It creates one subgraph for a whole graph and throws every node intimageo it.

## Constructor Summary

Constructors
Constructor
Description
`DefaultSubgraphFactory()`

## Method Summary

Modifier and Type
Method
Description
`SubgraphLayout`
`createSubgraph(NodeLayout[] nodes, LayoutContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultSubgraphFactory

public DefaultSubgraphFactory()

## Method Details

### createSubgraph

public SubgraphLayout createSubgraph(NodeLayout[] nodes, LayoutContext context)

Specified by:
  `createSubgraph` in interface `SubgraphFactory`